Bug 53163 - New port: XFce 4 graphical frontend for printing
Summary: New port: XFce 4 graphical frontend for printing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-10 19:30 UTC by James Earl
Modified: 2003-07-28 19:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Earl 2003-06-10 19:30:13 UTC
	XFce 4 graphical frontend for printing. Part of the XFce 4 BETA1
	release.

Fix: 

echo c - print/xfprint
mkdir -p print/xfprint > /dev/null 2>&1
echo x - print/xfprint/Makefile
sed 's/^X//' >print/xfprint/Makefile << 'END-of-print/xfprint/Makefile'
X# New ports collection makefile for:	xfprint
X# Date created:		7 June 2003
X# Whom:			James Earl <jdearl@telus.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	xfprint
XPORTVERSION=	3.90.0
XCATEGORIES=	x11
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE} \
X		http://belnet.dl.sourceforge.net/sourceforge/xfce/ \
X		http://unc.dl.sourceforge.net/sourceforge/xfce/
XMASTER_SITE_SUBDIR=	xfce
XDIST_SUBDIR=	xfce4
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	XFce 4 graphical frontend for printing
X
XLIB_DEPENDS=	xfcegui4.0:${PORTSDIR}/x11-toolkits/libxfcegui4
X
XUSE_GNOME=	gtk20
XUSE_X_PREFIX=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
XINSTALLS_SHLIB=	yes
X
X.include <bsd.port.mk>
END-of-print/xfprint/Makefile
echo x - print/xfprint/pkg-descr
sed 's/^X//' >print/xfprint/pkg-descr << 'END-of-print/xfprint/pkg-descr'
XXFce 4 print dialog. Provides a graphical frontend for printing. Includes
Xxfprint4 and xfprint-manager.
X
XWWW: http://www.xfce.org
END-of-print/xfprint/pkg-descr
echo x - print/xfprint/distinfo
sed 's/^X//' >print/xfprint/distinfo << 'END-of-print/xfprint/distinfo'
XMD5 (xfce4/xfprint-3.90.0.tar.gz) = 107d69e07a81eb4e4bfefa413b4a937c
END-of-print/xfprint/distinfo
echo x - print/xfprint/pkg-plist
sed 's/^X//' >print/xfprint/pkg-plist << 'END-of-print/xfprint/pkg-plist'
Xbin/xfprint-manager
Xbin/xfprint4
Xlib/libxfprint.a
Xlib/libxfprint.la
Xlib/libxfprint.so
Xlib/libxfprint.so.0
END-of-print/xfprint/pkg-plist
exit
--- xfprint ends here ---
Comment 1 Oliver Lehmann freebsd_committer 2003-07-05 08:57:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

I'll handle this
Comment 2 Oliver Lehmann freebsd_committer 2003-07-28 19:40:53 UTC
State Changed
From-To: open->closed

Committed a slightly different and updated to rc2 version. Thanks a lot for your work!